Bug 3334 - Fix sr_ME locale
Summary: Fix sr_ME locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: GNU C Library Locale Maintainers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-11 09:36 UTC by Danilo Segan
Modified: 2016-08-22 13:42 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
sr_ME locale based on sr_CS one (1.37 KB, text/plain)
2006-10-11 09:38 UTC, Danilo Segan
Details
sr_ME locale based on sr_RS (from bug #3322) (1.37 KB, text/plain)
2006-10-11 09:40 UTC, Danilo Segan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Segan 2006-10-11 09:36:52 UTC
As per comment in bug #39, some things are leftovers from sr_CS@ije locale
(country name, country codes, monetary information).

(For confirmation of Montenegro using euros officially, check eg.
http://www.iso.org/iso/en/prods-services/popstds/currencycodeslist.html#serbia
and https://www.cia.gov/cia/publications/factbook/print/mj.html under "Economy"
section which says: "The republic of Montenegro ... uses the euro instead of the
Yugoslav dinar as official currency")
Comment 1 Danilo Segan 2006-10-11 09:38:28 UTC
Created attachment 1366 [details]
sr_ME locale based on sr_CS one
Comment 2 Danilo Segan 2006-10-11 09:40:47 UTC
Created attachment 1367 [details]
sr_ME locale based on sr_RS (from bug #3322)

Only copy statements changed to use sr_RS instead of sr_CS (if bug #3322 is
resolved first).
Comment 3 Ulrich Drepper 2007-02-17 08:08:29 UTC
I checked the second file in.
Comment 4 cvs-commit@gcc.gnu.org 2007-07-12 14:54:41 UTC
Subject: Bug 3334

CVSROOT:	/cvs/glibc
Module name:	libc
Branch: 	glibc-2_5-branch
Changes by:	jakub@sourceware.org	2007-07-12 14:54:28

Modified files:
	.              : ChangeLog 
	locale         : iso-3166.def iso-4217.def 
	localedata     : ChangeLog SUPPORTED 
	localedata/locales: sr_ME 
Added files:
	localedata/locales: sr_RS sr_RS@latin 

Log message:
	2007-02-16  Ulrich Drepper  <drepper@redhat.com>
	
	* locale/iso-3166.def: Add entry for Serbia.
	* locale/iso-4217.def: Define RSD.
	
	2007-02-17  Ulrich Drepper  <drepper@redhat.com>
	
	[BZ #3334]
	* locales/sr_ME: Update from maintainer.
	
	2007-02-16  Ulrich Drepper  <drepper@redhat.com>
	
	[BZ #3322]
	* SUPPORTED (SUPPORTED-LOCALES): Add sr_RS and sr_RS@latin.
	* locales/sr_RS: New file.
	* locales/sr_RS@latin: New file.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/ChangeLog.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.10362.2.44&r2=1.10362.2.45
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/locale/iso-3166.def.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.7&r2=1.7.2.1
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/locale/iso-4217.def.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.19&r2=1.19.2.1
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/localedata/ChangeLog.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.603.2.4&r2=1.603.2.5
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/localedata/SUPPORTED.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.97.2.1&r2=1.97.2.2
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/localedata/locales/sr_RS.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=NONE&r2=1.1.6.1
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/localedata/locales/sr_RS@latin.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=NONE&r2=1.1.6.1
http://sourceware.org/cgi-bin/cvsweb.cgi/libc/localedata/locales/sr_ME.diff?cvsroot=glibc&only_with_tag=glibc-2_5-branch&r1=1.1&r2=1.1.4.1